Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Class JBPMMessages.Variable.Builder

    java.lang.Object
      com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
          com.google.protobuf.AbstractMessage.Builder<BuilderType>
              com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.Variable.Builder>
                  org.jbpm.marshalling.impl.JBPMMessages.Variable.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, JBPMMessages.VariableOrBuilder

Enclosing class:
  JBPMMessages.Variable

    public static final class JBPMMessages.Variable.Builder

extends com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.Variable.Builder>
implements JBPMMessages.VariableOrBuilder

Protobuf type `org.jbpm.marshalling.Variable`

Method Summary
`JBPMMessages.Variable` | `build()`
`JBPMMessages.Variable` | `buildPartial()`
`JBPMMessages.Variable.Builder` | `clear()`
`JBPMMessages.Variable.Builder` | `clearName()` `optional string name = 1;`
`JBPMMessages.Variable.Builder` | `clearStrategyIndex()` `optional int32 strategy_index = 2;` the actual object reference
`JBPMMessages.Variable.Builder` | `clearValue()` `optional bytes value = 3;`
`JBPMMessages.Variable.Builder` | `clone()`
`JBPMMessages.Variable` | `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
`String` | `getName()` `optional string name = 1;`
`com.google.protobuf.ByteString` | `getNameBytes()` `optional string name = 1;`
`int` | `getStrategyIndex()` `optional int32 strategy_index = 2;` the actual object reference
`com.google.protobuf.ByteString` | `getValue()` `optional bytes value = 3;`
`boolean` | `hasName()` `optional string name = 1;`
`boolean` | `hasStrategyIndex()` `optional int32 strategy_index = 2;` the actual object reference
`boolean` | `hasValue()` `optional bytes value = 3;`
`protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
`boolean` | `isInitialized()`
`JBPMMessages.Variable.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`JBPMMessages.Variable.Builder` | `mergeFrom(JBPMMessages.Variable other)`
`JBPMMessages.Variable.Builder` | `mergeFrom(com.google.protobuf.Message other)`
`JBPMMessages.Variable.Builder` | `setName(String value)` `optional string name = 1;`
`JBPMMessages.Variable.Builder` | `setNameBytes(com.google.protobuf.ByteString value)` `optional string name = 1;`
`JBPMMessages.Variable.Builder` | `setStrategyIndex(int value)` `optional int32 strategy_index = 2;` the actual object reference
`JBPMMessages.Variable.Builder` | `setValue(com.google.protobuf.ByteString value)` `optional bytes value = 3;`

Methods inherited from class com.google.protobuf.GeneratedMessage.Builder
`addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

Methods inherited from class com.google.protobuf.AbstractMessage.Builder
`findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder
`addAll, newUninitializedMessageException`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Method Detail

### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

  Specified by:
    `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.Variable.Builder>`

### clear

    public JBPMMessages.Variable.Builder clear()

  Specified by:
    `clear` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `clear` in interface `com.google.protobuf.MessageLite.Builder`
  Overrides:
    `clear` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.Variable.Builder>`

### clone

    public JBPMMessages.Variable.Builder clone()

  Specified by:
    `clone` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `clone` in interface `com.google.protobuf.MessageLite.Builder`
  Overrides:
    `clone` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.Variable.Builder>`

### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

  Specified by:
    `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
  Overrides:
    `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.Variable.Builder>`

### getDefaultInstanceForType

    public JBPMMessages.Variable getDefaultInstanceForType()

  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

    public JBPMMessages.Variable build()

  Specified by:
    `build` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

    public JBPMMessages.Variable buildPartial()

  Specified by:
    `buildPartial` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### mergeFrom

    public JBPMMessages.Variable.Builder mergeFrom(com.google.protobuf.Message other)

  Specified by:
    `mergeFrom` in interface `com.google.protobuf.Message.Builder`
  Overrides:
    `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.Variable.Builder>`

### mergeFrom

    public JBPMMessages.Variable.Builder mergeFrom(JBPMMessages.Variable other)

### isInitialized

    public final boolean isInitialized()

  Specified by:
    `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Overrides:
    `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.Variable.Builder>`

### mergeFrom

    public JBPMMessages.Variable.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                            throws IOException

  Specified by:
    `mergeFrom` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
  Overrides:
    `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.Variable.Builder>`
  Throws:
    `IOException`

### hasName

    public boolean hasName()

  `optional string name = 1;`

  Specified by:
    `hasName` in interface `JBPMMessages.VariableOrBuilder`

### getName

    public String getName()

  `optional string name = 1;`

  Specified by:
    `getName` in interface `JBPMMessages.VariableOrBuilder`

### getNameBytes

    public com.google.protobuf.ByteString getNameBytes()

  `optional string name = 1;`

  Specified by:
    `getNameBytes` in interface `JBPMMessages.VariableOrBuilder`

### setName

    public JBPMMessages.Variable.Builder setName(String value)

  `optional string name = 1;`

### clearName

    public JBPMMessages.Variable.Builder clearName()

  `optional string name = 1;`

### setNameBytes

    public JBPMMessages.Variable.Builder setNameBytes(com.google.protobuf.ByteString value)

  `optional string name = 1;`

### hasStrategyIndex

    public boolean hasStrategyIndex()

  `optional int32 strategy_index = 2;`

       the actual object reference

  Specified by:
    `hasStrategyIndex` in interface `JBPMMessages.VariableOrBuilder`

### getStrategyIndex

    public int getStrategyIndex()

  `optional int32 strategy_index = 2;`

       the actual object reference

  Specified by:
    `getStrategyIndex` in interface `JBPMMessages.VariableOrBuilder`

### setStrategyIndex

    public JBPMMessages.Variable.Builder setStrategyIndex(int value)

  `optional int32 strategy_index = 2;`

       the actual object reference

### clearStrategyIndex

    public JBPMMessages.Variable.Builder clearStrategyIndex()

  `optional int32 strategy_index = 2;`

       the actual object reference

### hasValue

    public boolean hasValue()

  `optional bytes value = 3;`

  Specified by:
    `hasValue` in interface `JBPMMessages.VariableOrBuilder`

### getValue

    public com.google.protobuf.ByteString getValue()

  `optional bytes value = 3;`

  Specified by:
    `getValue` in interface `JBPMMessages.VariableOrBuilder`

### setValue

    public JBPMMessages.Variable.Builder setValue(com.google.protobuf.ByteString value)

  `optional bytes value = 3;`

### clearValue

    public JBPMMessages.Variable.Builder clearValue()

  `optional bytes value = 3;`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.